import{s as _e,f as me,n as Te,o as Le}from"../chunks/scheduler.37c15a92.js";import{S as be,i as He,g as a,s as l,r as he,A as Me,h as s,f as n,c as o,j as ce,u as ge,x as r,k as m,y as ye,a as i,v as xe,d as ve,t as de,w as we}from"../chunks/index.7cb9c9b8.js";import{H as Ce,E as Ee}from"../chunks/EditOnGithub.858acfec.js";function $e(Q){let p,P,E,k,h,q,c,V="Finally, before looking at the different methods to solve Reinforcement Learning problems, we must cover one more very important topic: <em>the exploration/exploitation trade-off.</em>",z,g,X="<li><em>Exploration</em> is exploring the environment by trying random actions in order to <strong>find more information about the environment.</strong></li> <li><em>Exploitation</em> is <strong>exploiting known information to maximize the reward.</strong></li>",I,x,Z="Remember, the goal of our RL agent is to maximize the expected cumulative reward. However, <strong>we can fall into a common trap</strong>.",j,v,ee="Let’s take an example:",R,u,te,G,d,ne="In this game, our mouse can have an <strong>infinite amount of small cheese</strong> (+1 each). But at the top of the maze, there is a gigantic sum of cheese (+1000).",S,w,ie="However, if we only focus on exploitation, our agent will never reach the gigantic sum of cheese. Instead, it will only exploit <strong>the nearest source of rewards,</strong> even if this source is small (exploitation).",U,_,le="But if our agent does a little bit of exploration, it can <strong>discover the big reward</strong> (the pile of big cheese).",A,T,oe="This is what we call the exploration/exploitation trade-off. We need to balance how much we <strong>explore the environment</strong> and how much we <strong>exploit what we know about the environment.</strong>",B,L,ae="Therefore, we must <strong>define a rule that helps to handle this trade-off</strong>. We’ll see the different ways to handle it in the future units.",F,b,se="If it’s still confusing, <strong>think of a real problem: the choice of picking a restaurant:</strong>",W,H,re='<img src="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/exp_2.jpg" alt="Exploration"/> <figcaption>Source: <a href="https://inst.eecs.berkeley.edu/~cs188/sp20/assets/lecture/lec15_6up.pdf">Berkley AI Course</a></figcaption>',O,M,pe="<li><em>Exploitation</em>: You go to the same one that you know is good every day and <strong>take the risk to miss another better restaurant.</strong></li> <li><em>Exploration</em>: Try restaurants you never went to before, with the risk of having a bad experience <strong>but the probable opportunity of a fantastic experience.</strong></li>",Y,y,ue="To recap:",D,f,fe,J,C,K,$,N;return h=new Ce({props:{title:"The Exploration/Exploitation trade-off",local:"exp-exp-tradeoff",headingTag:"h1"}}),C=new Ee({props:{source:"https://github.com/huggingface/deep-rl-class/blob/main/units/en/unit1/exp-exp-tradeoff.mdx"}}),{c(){p=a("meta"),P=l(),E=a("p"),k=l(),he(h.$$.fragment),q=l(),c=a("p"),c.innerHTML=V,z=l(),g=a("ul"),g.innerHTML=X,I=l(),x=a("p"),x.innerHTML=Z,j=l(),v=a("p"),v.textContent=ee,R=l(),u=a("img"),G=l(),d=a("p"),d.innerHTML=ne,S=l(),w=a("p"),w.innerHTML=ie,U=l(),_=a("p"),_.innerHTML=le,A=l(),T=a("p"),T.innerHTML=oe,B=l(),L=a("p"),L.innerHTML=ae,F=l(),b=a("p"),b.innerHTML=se,W=l(),H=a("figure"),H.innerHTML=re,O=l(),M=a("ul"),M.innerHTML=pe,Y=l(),y=a("p"),y.textContent=ue,D=l(),f=a("img"),J=l(),he(C.$$.fragment),K=l(),$=a("p"),this.h()},l(e){const t=Me("svelte-u9bgzb",document.head);p=s(t,"META",{name:!0,content:!0}),t.forEach(n),P=o(e),E=s(e,"P",{}),ce(E).forEach(n),k=o(e),ge(h.$$.fragment,e),q=o(e),c=s(e,"P",{"data-svelte-h":!0}),r(c)!=="svelte-fbv3pl"&&(c.innerHTML=V),z=o(e),g=s(e,"UL",{"data-svelte-h":!0}),r(g)!=="svelte-nc85ql"&&(g.innerHTML=X),I=o(e),x=s(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-2jh1qs"&&(x.innerHTML=Z),j=o(e),v=s(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-1wtngfz"&&(v.textContent=ee),R=o(e),u=s(e,"IMG",{src:!0,alt:!0,width:!0}),G=o(e),d=s(e,"P",{"data-svelte-h":!0}),r(d)!=="svelte-1kw5ynv"&&(d.innerHTML=ne),S=o(e),w=s(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-qt6w4m"&&(w.innerHTML=ie),U=o(e),_=s(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-16dhxd1"&&(_.innerHTML=le),A=o(e),T=s(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-13goax7"&&(T.innerHTML=oe),B=o(e),L=s(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-65jqh4"&&(L.innerHTML=ae),F=o(e),b=s(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1qfk4tu"&&(b.innerHTML=se),W=o(e),H=s(e,"FIGURE",{"data-svelte-h":!0}),r(H)!=="svelte-sgn18n"&&(H.innerHTML=re),O=o(e),M=s(e,"UL",{"data-svelte-h":!0}),r(M)!=="svelte-1yngr8f"&&(M.innerHTML=pe),Y=o(e),y=s(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-mz2ztc"&&(y.textContent=ue),D=o(e),f=s(e,"IMG",{src:!0,alt:!0,width:!0}),J=o(e),ge(C.$$.fragment,e),K=o(e),$=s(e,"P",{}),ce($).forEach(n),this.h()},h(){m(p,"name","hf:doc:metadata"),m(p,"content",Pe),me(u.src,te="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/exp_1.jpg")||m(u,"src",te),m(u,"alt","Exploration"),m(u,"width","100%"),me(f.src,fe="https://huggingface.co/datasets/huggingface-deep-rl-course/course-images/resolve/main/en/unit1/expexpltradeoff.jpg")||m(f,"src",fe),m(f,"alt","Exploration Exploitation Tradeoff"),m(f,"width","100%")},m(e,t){ye(document.head,p),i(e,P,t),i(e,E,t),i(e,k,t),xe(h,e,t),i(e,q,t),i(e,c,t),i(e,z,t),i(e,g,t),i(e,I,t),i(e,x,t),i(e,j,t),i(e,v,t),i(e,R,t),i(e,u,t),i(e,G,t),i(e,d,t),i(e,S,t),i(e,w,t),i(e,U,t),i(e,_,t),i(e,A,t),i(e,T,t),i(e,B,t),i(e,L,t),i(e,F,t),i(e,b,t),i(e,W,t),i(e,H,t),i(e,O,t),i(e,M,t),i(e,Y,t),i(e,y,t),i(e,D,t),i(e,f,t),i(e,J,t),xe(C,e,t),i(e,K,t),i(e,$,t),N=!0},p:Te,i(e){N||(ve(h.$$.fragment,e),ve(C.$$.fragment,e),N=!0)},o(e){de(h.$$.fragment,e),de(C.$$.fragment,e),N=!1},d(e){e&&(n(P),n(E),n(k),n(q),n(c),n(z),n(g),n(I),n(x),n(j),n(v),n(R),n(u),n(G),n(d),n(S),n(w),n(U),n(_),n(A),n(T),n(B),n(L),n(F),n(b),n(W),n(H),n(O),n(M),n(Y),n(y),n(D),n(f),n(J),n(K),n($)),n(p),we(h,e),we(C,e)}}}const Pe='{"title":"The Exploration/Exploitation trade-off","local":"exp-exp-tradeoff","sections":[],"depth":1}';function ke(Q){return Le(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class je extends be{constructor(p){super(),He(this,p,ke,$e,_e,{})}}export{je as component};
